gov.ornl.mercury3.web.util

## Class D1DocTransferObject

- java.lang.Object
- - gov.ornl.mercury3.web.util.D1DocTransferObject

-     public class D1DocTransferObject
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `D1DocTransferObject()`
    `D1DocTransferObject(String pid, String dataUrl, String formatId, String size, String isPublic)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDataUrl()`
    `String` | `getFormatId()`
    `boolean` | `getIsResourceMap()`
    `boolean` | `getMetadata()`
    `String` | `getPid()`
    `Set<String>` | `getResourceMaps()`
    `String` | `getSize()`
    `boolean` | `isMetadata()`
    `boolean` | `isPublic()`
    `void` | `setDataUrl(String dataUrl)`
    `void` | `setFormatId(String formatId)`
    `void` | `setIsResourceMap(boolean isResource)`
    `void` | `setMetadata(boolean isMetadata)`
    `void` | `setPid(String pid)`
    `void` | `setPublic(boolean isPublic)`
    `void` | `setResourceMap(org.json.JSONArray resourceMapsArray)`
    `void` | `setResourceMaps(Set<String> resourceMaps)`
    `void` | `setSize(String size)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### D1DocTransferObject

          public D1DocTransferObject()

    - #### D1DocTransferObject

          public D1DocTransferObject(String pid,
                             String dataUrl,
                             String formatId,
                             String size,
                             String isPublic)

  - ### Method Detail

    - #### getPid

          public String getPid()

    - #### setPid

          public void setPid(String pid)

    - #### getDataUrl

          public String getDataUrl()

    - #### setDataUrl

          public void setDataUrl(String dataUrl)

    - #### isPublic

          public boolean isPublic()

    - #### setPublic

          public void setPublic(boolean isPublic)

    - #### getSize

          public String getSize()

    - #### setSize

          public void setSize(String size)

    - #### getFormatId

          public String getFormatId()

    - #### setFormatId

          public void setFormatId(String formatId)

    - #### isMetadata

          public boolean isMetadata()

    - #### setMetadata

          public void setMetadata(boolean isMetadata)

    - #### getMetadata

          public boolean getMetadata()

    - #### getIsResourceMap

          public boolean getIsResourceMap()

    - #### setIsResourceMap

          public void setIsResourceMap(boolean isResource)

    - #### getResourceMaps

          public Set<String> getResourceMaps()

    - #### setResourceMaps

          public void setResourceMaps(Set<String> resourceMaps)

    - #### setResourceMap

          public void setResourceMap(org.json.JSONArray resourceMapsArray)

Copyright © 2016. All rights reserved.